AWS
probe ASG

# wait_desired_equals_healthy

Wait until the desired number matches the number of healthy instances for each auto-scaling group

Run it now
View details

Type | probe
Module | chaosaws.asg.probes
Name | wait_desired_equals_healthy
Return | integer

Returns: Integer (number of seconds it took to wait) or `sys.maxsize` in case of timeout

Usage

JSON

    {
      "name": "wait-desired-equals-healthy",
      "type": "probe",
      "provider": {
        "type": "python",
        "module": "chaosaws.asg.probes",
        "func": "wait_desired_equals_healthy",
        "arguments": {
          "asg_names": []
        }
      }
    }

YAML

    name: wait-desired-equals-healthy
    provider:
      arguments:
        asg_names: []
      func: wait_desired_equals_healthy
      module: chaosaws.asg.probes
      type: python
    type: probe

Arguments

Name | Type | Default | Required | Title | Description
--- | --- | --- | --- | --- | ---
tags | list | null | No | ASG Tags | List of AWS tags for to identify ASG by tags instead of by names
timeout | float | 300 | No | Timeout | Timeout in seconds for the operation

Signature

    def wait_desired_equals_healthy(
            asg_names: List[str],
            configuration: Dict[str, Dict[str, str]] = None,
            timeout: Union[int, float] = 300,
            secrets: Dict[str, Dict[str, str]] = None) -> int:
        pass

## Related starters

- AWS
  probe ASG

  ## `is_scaling_in_progress`

  Check if there is any scaling activity in progress for ASG matching tags
- AWS
  action ASG

  ## `attach_volume`

  Attaches ebs volumes that have been previously detached
- AWS
  action ASG

  ## `terminate_random_instances`

  Terminates one or more random healthy instances associated to an ALB